Epoch: 1

%define gcj_support 		1
%define section			free
%define eclipse_name 		eclipse
%define	version_major		0
%define version_minor		2
%define version_majmin		%{version_major}.%{version_minor}
%define version_micro   	4
%define eclipse_base		%{_datadir}/%{eclipse_name}
%define eclipse_lib_base	%{_libdir}/%{eclipse_name}

# All arches line up except i386 -> x86
%ifarch %{ix86}
%define eclipse_arch	x86
%else
%define eclipse_arch	%{_arch}
%endif

Summary: 	Eclipse Bugzilla plug-in
Name: 		%{eclipse_name}-bugzilla
Version: 	%{version_majmin}.%{version_micro}
Release:	3%{?dist}
License:	Common Public License v1.0 <http://www.eclipse.org/legal/cpl-v10.html>
Group:		Text Editors/Integrated Development Environments (IDE)
Requires:	eclipse-platform >= 1:3.2.0

Requires:	xmlrpc >= 2.0.1

# Note that following the Eclipse Releng process we do not distribute a 
# real .tar.gz file.  Instead, you must build it by hand.  The way to do 
# this is to check out org.eclipse.team.bugzilla.releng.  Edit maps/bugzilla.map 
# to refer to the tag appropriate to the release.  Then run the "fetch" 
# target to fetch everything.  Package this up, such that the tar
# file unpacks a new "org.eclipse.team.bugzilla.releng" directory with all the
# contents. 
# Here's an example of how to invoke that command from within the releng 
# direcotry:
#
# java -cp /usr/share/eclipse/startup.jar  -Duser.home=/tmp/buildhome 
#     org.eclipse.core.launcher.Main -application org.eclipse.ant.core.antRunner 
#     -buildfile build.xml -Dbasedir=`pwd` 
#     -Dpde.build.scripts=/usr/share/eclipse/plugins/org.eclipse.pde.build_3.2.0/scripts/
#     -DdontUnzip=true fetch 
Source0:	eclipse-bugzilla-fetched-%{version_majmin}.%{version_micro}.tar.gz

BuildRequires:	eclipse-platform
BuildRequires:	eclipse-jdt
BuildRequires:	eclipse-pde
BuildRequires:	libswt3-gtk2
BuildRequires:	xmlrpc >= 2.0.1

%if %{gcj_support}
BuildRequires:		gcc-java >= 4.0.1-4
BuildRequires:		java-gcj-compat-devel >= 1.0.64
Requires(post):		java-gcj-compat >= 1.0.64
Requires(postun):	java-gcj-compat >= 1.0.64
%else
BuildRequires:		java-devel >= 1.4.2
%endif

%if %{gcj_support}
%else
BuildArch:	noarch
%endif

BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The eclipse-bugzilla package contains Eclipse features and plugins for
Bugzilla bug tracking integration.

%prep
%setup -q -c 

# Change .jar to symlink for the build
pushd org.eclipse.team.bugzilla.releng/results/
rm -f plugins/org.eclipse.team.bugzilla/lib/xmlrpc.jar
ln -sf %{_datadir}/java/xmlrpc.jar plugins/org.eclipse.team.bugzilla/lib/xmlrpc.jar
rm -f plugins/org.eclipse.team.bugzilla/lib/jakarta-commons-codec.jar
ln -sf %{_datadir}/java/jakarta-commons-codec.jar plugins/org.eclipse.team.bugzilla/lib/jakarta-commons-codec.jar
popd

%build

# See comments in the script to understand this.
/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base}
SDK=$(cd SDK && pwd)

mkdir home

homedir=$(cd home > /dev/null && pwd)

pushd `pwd` 
cd org.eclipse.team.bugzilla.releng

# Call eclipse headless to process bugzilla releng build scripts
# need -Dosgi.install.area for http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20198
java -cp  $SDK/startup.jar \
    -Duser.home=$homedir \
    -Dosgi.install.area=%{eclipse_base} \
     org.eclipse.core.launcher.Main \
    -application org.eclipse.ant.core.antRunner \
    -DjavacFailOnError=false \
    -DdontUnzip=true \
    -DbaseLocation=$SDK \
    -Dpde.build.scripts=%{eclipse_base}/plugins/org.eclipse.pde.build/scripts \
    -DdontFetchAnything=true 
popd

%install
rm -rf ${RPM_BUILD_ROOT}

install -d -m755 ${RPM_BUILD_ROOT}/%{eclipse_base}

# Dump the files from the releng tarball into the build root
for file in $(pwd)/org.eclipse.team.bugzilla.releng/results/I.*/*.tar.gz; do
  case $file in
    *org.eclipse.team.bugzilla*)
      # The ".." is needed since the zip files contain "eclipse/foo".
      (cd $RPM_BUILD_ROOT/%{eclipse_base}/.. && tar zxf $file)
      ;;
  esac
done

pushd $RPM_BUILD_ROOT%{_datadir}/%{eclipse_name}
rm -rf plugins/org.eclipse.team.bugzilla_%{version_majmin}.%{version_micro}/lib/xmlrpc.jar
ln -sf %{_datadir}/java/xmlrpc.jar plugins/org.eclipse.team.bugzilla_%{version_majmin}.%{version_micro}/lib/xmlrpc.jar
rm -f plugins/org.eclipse.team.bugzilla_%{version_majmin}.%{version_micro}/lib/jakarta-commons-codec.jar
ln -sf %{_datadir}/java/jakarta-commons-codec.jar plugins/org.eclipse.team.bugzilla_%{version_majmin}.%{version_micro}/lib/jakarta-commons-codec.jar
popd



%if %{gcj_support}
aot-compile-rpm
%endif

%clean 
rm -rf ${RPM_BUILD_ROOT}

%if %{gcj_support}
%post -p %{_bindir}/rebuild-gcj-db
%postun -p %{_bindir}/rebuild-gcj-db
%endif

%files
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.team.bugzilla*
%{eclipse_base}/plugins/org.eclipse.team.bugzilla*
%{eclipse_base}/plugins/org.eclipse.team.bugs*
%if %{gcj_support}
%{_libdir}/gcj/%{name}
%endif

%changelog
* Fri Sep 29 2006 Ben Konrath <bkonrath@redhat.com> 0.2.4-3
- Remove Requires: eclipse-platform < 3.2.1.
 
* Fri Sep 01 2006 Ben Konrath <bkonrath@redhat.com> 0.2.4-2
- Require java-gcj-compat >= 1.0.64.
- Pull in changes from RHDS.
- Spec file cleanups.

* Mon Aug 14 2006 Igor Foox <ifoox@redhat.com> 0.2.4-1
- Import new version with disabled patching functionality.
- Make noarch (overholt).

* Sun Aug 13 2006 Ben Konrath <bkonrath@redhat.com> 0.2.2-9
- Rebuild for RHDS.

* Mon Jul 24 2006 Ben Konrath <bkonrath@redhat.com> 0.2.2-8
- Rebuild.

* Wed Jul 19 2006 Igor Foox <ifoox@redhat.com> 0.2.2-7
- Rebuild.

* Tue Jun 13 2006 Igor Foox <ifoox@redhat.com> 0.2.2-6
- Rebuilding for new SDK, with versionless pde.build.

* Thu Jun 08 2006 Igor Foox <ifoox@redhat.com> 0.2.2-5
- Rebuild for 3.2.0.

* Tue Apr 04 2006 Andrew Overholt <overholt@redhat.com> 0.2.2-4
- Add ia64.

* Tue Feb 14 2006 Igor Foox <ifoox@redhat.com> 0.2.2-2
- Updated source, removes extraneous debug output.

* Tue Feb 14 2006 Igor Foox <ifoox@redhat.com> 0.2.2-1.1
- Bump release.

* Tue Feb 14 2006 Igor Foox <ifoox@redhat.com> 0.2.2-1
- Updated to version 0.2.2 which sports working jars included int the plugin.
- Changed source file format from <name>-<cvs tag>-<version> to 
<name>-<version>.
- Fixed hardcoded versions to variables.
- Some formatting fixes.

* Mon Feb 13 2006 Igor Foox <ifoox@redhat.com> 0.2.1-1.1
- Updated source file.

* Mon Feb 13 2006 Igor Foox <ifoox@redhat.com> 0.2.1-1
- Updated to 0.2.1 which includes xmlrpc.jar, prep section now
removes  this file and symlinks it to /usr/share/xmlrpc.jar.

* Fri Feb 10 2006 Igor Foox <ifoox@redhat.com> 0.2.0-2.1
- Release bump to build.

* Fri Feb 10 2006 Igor Foox <ifoox@redhat.com> 0.2.0-2
- Release bump to build.

* Fri Feb 10 2006 Igor Foox <ifoox@redhat.com> 0.2.0-1.1
- Release bump to build.

* Fri Feb 10 2006 Igor Foox <ifoox@redhat.com> 0.2.0-1
- Update to version 0.2.0 which includes bugfixes and xmlrpc support for
bugzilla.redhat.com.
- Add Requires and BuildRequires on xmlrpc.

* Fri Feb 10 2006 Andrew Overholt <overholt@redhat.com> 0.1.1_fc-6.4
- Use Epoch in Requires (rh#180915).
- Require >= 3.1.2 but < 3.1.3 to ensure we get 3.1.2.

* Fri Feb 10 2006 Andrew Overholt <overholt@redhat.com> 0.1.1_fc-6.3
- Change strict 3.1.2 to >= 3.1.2.

* Thu Feb 09 2006 Andrew Overholt <overholt@redhat.com> 0.1.1_fc-6.2
- Build against 3.1.2.

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:0.1.1_fc-6.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 16 2005 Andrew Overholt <overholt@redhat.com> 0.1.1_fc-6
- Build against gcc 4.1.

* Thu Jul 21 2005 Jeff Pound <jpound@redhat.com> 0.1.1_fc-5
- BuildRequire gcc-java 4.0.1.

* Thu Jul 21 2005 Jeff Pound <jpound@redhat.com> 0.1.1_fc-4
- Remove bugzilla.redhat.com/bugzilla-old pre-set (no longer online).
- Finalize support for new bugzilla.redhat.com (pending https bug#158893).
- Update Apply Patch functionality.
- Refactor query options parser.

* Fri Jul 15 2005 Andrew Overholt <overholt@redhat.com> 0.1.1_fc-3
- Use gbenson's new aot-compile-rpm.

* Fri Jul 08 2005 Jeff Pound <jpound@redhat.com> 0.1.1_fc-2
- Fix eclipse build specification to be arch independant.

* Wed Jul 06 2005 Jeff Pound <jpound@redhat.com> 0.1.1_fc-1
- Integrate Apply Patch functionality.
- Various minor UI adjustments.

* Wed May 18 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-17
- Add save attachment support.

* Wed May 18 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-16
- Fix bug in query option parser (see comment 1 from bz#151443).
- Parse icons from bugzilla sites (bz#151441).

* Thu May 05 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-15
- Fix provider expansion when adding queries.
- Add name parings for default urls.

* Mon May 02 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-14
- Fix default bugzilla.redhat.com url.

* Tue Apr 26 2005 Andrew Overholt <overholt@redhat.com> 0.1.0_fc-13
- Re-organize and make use of scripts.

* Tue Apr 26 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-12
- Fix double '/' in URL when retrieving version info.
- Add workaround for redirects.

* Mon Apr 25 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-10
- Add support for query by email, numbering, votes, and 
  modification date, field, and value.
- Various adjustments to query dialog UI.

* Sun Apr 03 2005 Andrew Overholt <overholt@redhat.com> 0.1.0_fc-9
- Make use of rebuild-gcj-db.
- Use system-wide classmap.db.

* Wed Mar 23 2005 Andrew Overholt <overholt@redhat.com> 0.1.0_fc-8
- Update with new gcj-dbtool stuff.
- Fix Requires.
- Remove *.jarswithnativelibs.

* Mon Mar 07 2005 Jeff Pound <jpound@redhat.com> 0.1.0-7_fc
- Fix query dialog UI.

* Mon Mar 07 2005 Jeff Pound <jpound@redhat.com> 0.1.0-6_fc
- Rebuild including icons dir, xml, and properties files.

* Fri Mar 05 2005 Phil Muldoon <pmuldoon@redhat.com> 0.1.0-5_fc
- Added x86_64 to ExclusiveArch

* Thu Mar 03 2005 Jeff Pound <jpound@redhat.com> 0.1.0-4_fc
- Rewrite for native build.
- Change gcc4 to gcc.
- Remove x86_64 for now.  Add ppc.
- Remove -g options for gcj.

* Tue Feb 08 2005 Jeff Pound <jpound@redhat.com> 0.1.0-1_fc
- Initial version
